Skip to main content
GET
/
api
/
v1
/
runs
/
{id}
/
scores
List run evaluator scores
curl --request GET \
  --url https://studio.eigenpal.com/api/v1/runs/{id}/scores \
  --header 'Authorization: Bearer <token>'
{
  "scores": [
    {
      "id": "<string>",
      "runId": "<string>",
      "automationId": "<string>",
      "evaluatorName": "<string>",
      "evaluatorType": "<string>",
      "score": 123,
      "passed": true,
      "label": "<string>",
      "weight": 123,
      "passThreshold": 123,
      "description": "<string>",
      "details": "<unknown>",
      "error": "<string>",
      "createdAt": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key issued from Settings → API Keys. Pass as Authorization: Bearer <key>.

Path Parameters

id
string
required

Run id.

Response

Per-evaluator scores for the run

Automated evaluator results attached to a run.

scores
object[]
required

Automated evaluator scores for the run. These are separate from human feedback rating values.